/*==========================================================================
	Datei:	CPU_SMA5D3_1.h

	fr FreeRTOS bentigte Programmierroutinen der Cortex A5 CPU SAMA5D3.

	Begonnen:			06.02.2013
	Letzte nderung:	06.02.2013 (A. Heinze)
	Autor:				A.Heinze\HAMEG Chemnitz
===========================================================================*/

#ifndef CPU_SAMA5D3_1_H
#define CPU_SAMA5D3_1_H

// IRQs global wieder erlauben
void CPU_enableIRQ0(void);

// IRQs global verbieten
unsigned int CPU_disableIRQ0(void);

// setzt den Zhler fr disableIRQ zurck
void CPU_resetDisableIRQ (void);

// liefert TRUE, wenn IRQs dekaktiviert sind
int CPU_readDisabledIRQ0(void);

// wann IRQ System fertig initialisiert
void CPU_setInitIRQSystemDone (int done);

// IRQ auslsen
void CPU_setIRQIdx(unsigned int idx);


// IRQ-Level abhngige reent-Strukturen
struct _reent * sysCall_getreent (unsigned int irqLvl);

#endif	// CPU_SAMA5D3_1_H
