/*==========================================================================
	Datei:	debug.h

	ffentlicher Header fr DEBUG-Zwecke im FreeRTOS.

	Begonnen:			23.08.2001
	Letzte nderung:	29.10.2013
	Autor:				M.Gnther\HAMEG Chemnitz
===========================================================================*/
#ifndef DEBUG_H
#define DEBUG_H

#ifdef __cplusplus
extern "C" {
#endif

#ifndef DEBUG_EDITOR_NONE
#define DEBUG_EDITOR_NONE		0
#endif

#ifndef DEBUG_EDITOR_AHC
#define DEBUG_EDITOR_AHC		1
#endif

#ifndef DEBUG_EDITOR_MBC
#define DEBUG_EDITOR_MBC		2
#endif

#ifndef DEBUG_EDITOR
	#define DEBUG_EDITOR					DEBUG_EDITOR_NONE
#endif


#ifndef DEBUG_PIN_HIGH_
#define DEBUG_PIN_HIGH_(_ED_,_PIN_)			(void)0
#endif

#ifndef DEBUG_PIN_LOW_
#define DEBUG_PIN_LOW_(_ED_,_PIN_)			(void)0
#endif

#ifndef DEBUG_PIN_TOGGLE_
#define DEBUG_PIN_TOGGLE_(_ED_,_PIN_)		(void)0
#endif


#ifndef NDEBUG_PIN_HIGH_
#define NDEBUG_PIN_HIGH_(_ED_,_PIN_)		(void)0
#endif

#ifndef NDEBUG_PIN_LOW_
#define NDEBUG_PIN_LOW_(_ED_,_PIN_)			(void)0
#endif

#ifndef NDEBUG_PIN_TOGGLE_
#define NDEBUG_PIN_TOGGLE_(_ED_,_PIN_)		(void)0
#endif


#ifndef FALSE
#define FALSE								0
#endif

#ifndef TRUE
#define TRUE								(!FALSE)
#endif

#ifndef CALC_TAB_ELEMENTS
#define CALC_TAB_ELEMENTS(_TAB_)			(sizeof(_TAB_) / sizeof(_TAB_[0]))
#endif

#ifdef __cplusplus
}
#endif
#endif //DEBUG_H
